// usepointer.cpp
// Glenn G. Chappell
// 10 Sep 2013
//
// For CS 202 Fall 2013
// Example using pointers

#include <iostream>
using std::cout;
using std::endl;
using std::cin;
#include <string>
using std::string;


// Main program
// A few simple uses of pointers
int main()
{
    cout << "Do stuff with pointers" << endl;

    int x = 4;
    int y = 5;

    int * p = &x;
    // Now p points to x

    cout << endl;
    cout << "Variable x is 4, and we are printing x:" << endl;
    cout << (*p) << endl;  // (*p) is, for the moment, an alias for x

    (*p) = 37;

    cout << endl;
    cout << "Now x is 37; print x:" << endl;
    cout << x << endl;

    p = &y;
    // Now p points to y

    cout << endl;
    cout << "Lastly, print y, which should be 5:" << endl;
    cout << (*p) << endl;  // Here, (*p) is an alias for y

    cout << endl;
    cout << "Press ENTER to quit ";
    while (cin.get() != '\n') ;

    return 0;
}

